﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _6ManyWindow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        int childFormNumber = 1;
        string Dir = null;
        private void NewStripButton_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog ff = new FolderBrowserDialog();
            ff.Description = "Выберите папку для сохранения файла";
            if (Dir == null)
            {
                if (ff.ShowDialog() == DialogResult.OK)
                {
                    Dir = ff.SelectedPath;
                }
            }
            if (Dir != null)
            {
                Form childForm = new Form2();
                childForm.MdiParent = this;
                childForm.Text = Dir + "\\Безымянный " + childFormNumber++ + ".rtf";
                childForm.Show();
            }
        }

        private void OpenStripButton_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Text Files (*.rtf)|*.rtf|All Files (*.*)|*.*";
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                Form childForm = new Form2();
                childForm.MdiParent = this;
                childForm.Show();
                foreach (Form2 child in this.MdiChildren)
                {
                    if (this.ActiveMdiChild == child)
                    {
                        child.Open(openFileDialog.FileName);
                    }
                }
            }
        }
        private void SaveStripButton_Click(object sender, EventArgs e)
        {
            SaveFileDialog of = new SaveFileDialog();
            foreach (Form2 child in this.MdiChildren)
            {
                if (this.ActiveMdiChild == child)
                {
                    of.FileName = child.Text;
                    of.Filter = "Text Files (*.rtf)|*.rtf;|All Files (*.*)|*.*";
                    if (of.ShowDialog() == System.Windows.Forms.DialogResult.OK & of.FileName.Length > 0)
                    {
                        child.Save(of.FileName);
                    }
                }
            }
        }

        private void CutStripButton_Click(object sender, EventArgs e)
        {
            foreach (Form2 child in this.MdiChildren)
            {
                if (this.ActiveMdiChild == child)
                {
                    child.Cut();
                }
            }
        }

        private void CopyStripButton_Click(object sender, EventArgs e)
        {
            foreach (Form2 child in this.MdiChildren)
            {
                if (this.ActiveMdiChild == child)
                {
                    child.Copy();
                }
            }
        }

        private void PasteStripButton_Click(object sender, EventArgs e)
        {
            foreach (Form2 child in this.MdiChildren)
            {
                if (this.ActiveMdiChild == child)
                {
                    child.Paste();
                }
            }
        }

        private void каскадомToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.Cascade);
        }

        private void горизонтальноToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileHorizontal);
        }

        private void вертикальноToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileVertical);
        }

        private void СоздатьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            NewStripButton.PerformClick();
        }

    }
}
